/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program testing isdigit() */
#include <ctype.h>
#include <stdio.h>

int main() {
    char c = 'A';
    printf("isdigit('%c') returns %d\n", c, isdigit(c));
    if(isdigit(c) > 0)
        printf("'%c' is a digit.\n", c);
    else
        printf("'%c' is not a digit.\n",c);
    c = '1';
    printf("isdigit('%c') returns %d\n", c, isdigit(c));
    if(isdigit(c) > 0)
        printf("'%c' is a digit.\n",c);
    else
        printf("'%c' is not a digit.\n",c);

}
